# ----------------------------------------------------------------------------
# Copyright (c) 2017 Semiconductor Components Industries, LLC (d/b/a
# ON Semiconductor), All Rights Reserved
#
# This code is the property of ON Semiconductor and may not be redistributed
# in any form without prior written permission from ON Semiconductor.
# The terms of use and warranty for this code are covered by contractual
# agreements between ON Semiconductor and the licensee.
#
# This is Reusable Code.
#
# -----------------------------------------------------------------------------
#

from baseFileWrapper import baseFileWrapper

class binaryFile(baseFileWrapper):
    ''' Define a binary file type to access raw data '''

    def __init__(self, wrappedFile):
        ''' constructor takes the file to wrap '''
        super(binaryFile, self).__init__(wrappedFile)
        
    def read(self, numBytes):
        ''' read the specified number of bytes from the file ''' 
        return bytearray(self.wrappedFile.read(numBytes))

    def write(self, byteBuffer):
        ''' write the specified bytes to the file '''
        self.wrappedFile.write(byteBuffer)
            
    def seek(self, offset, fromWhat = 0):
        ''' seek to the specified loacation in the file '''
        return self.wrappedFile.seek(offset, fromWhat)
    
    def tell(self):
        ''' report the current file pointer '''
        return self.wrappedFile.tell()

        
