/* ----------------------------------------------------------------------------
 * Copyright (c) 2016-2017 Semiconductor Components Industries, LLC (d/b/a
 * ON Semiconductor), All Rights Reserved
 *
 * This code is the property of ON Semiconductor and may not be redistributed
 * in any form without prior written permission from ON Semiconductor.
 * The terms of use and warranty for this code are covered by contractual
 * agreements between ON Semiconductor and the licensee.
 *
 * This is Reusable Code.
 *
 * ----------------------------------------------------------------------------
 * mem_func.h
 * - Support memory functions for managing the heap
 * ----------------------------------------------------------------------------
 * $Revision: 1.4 $
 * $Date: 2017/10/18 20:38:08 $
 * ------------------------------------------------------------------------- */

#ifndef _MEM_FUNC_H_
#define _MEM_FUNC_H_

#ifdef __cplusplus
 extern "C" {
#endif

#ifndef MALLOC_HEAP_SIZE
    /* This size is being used to define an area from which to malloc from in
     * bytes */
    #define MALLOC_HEAP_SIZE        (32768)
#endif

int alloc_init(unsigned int size, int clear);
void *malloc_( unsigned int size );
void *calloc_( unsigned int num, unsigned int siz );
void free_(void *m);

#ifdef __cplusplus
 }
#endif

#endif
